# class ImageBuffer

#### package lime.graphics

Available on all platforms

### Constructor

###

`new (?data:UInt8Array, width:Int = 0, height:Int = 0, bitsPerPixel:Int = 32, ?format:PixelFormat)`

### Variables

###

`bitsPerPixel:Int`

###

`data:UInt8Array`

###

`format:PixelFormat`

###

`height:Int`

###

`premultiplied:Bool`

###

`src:Dynamic`

###

`read onlystride:Int`

###

`transparent:Bool`

###

`width:Int`

### Methods

###

`clone ():ImageBuffer`